Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mortbay.util
Class IntrospectionUtil

    java.lang.Object
      org.mortbay.util.IntrospectionUtil

    public class IntrospectionUtil

extends Object

IntrospectionUtil

Constructor Summary
`IntrospectionUtil()`

Method Summary
`static boolean` | `checkParams(Class[] formalParams, Class[] actualParams, boolean strict)`
`static boolean` | `containsSameFieldName(Field field, Class c, boolean checkPackage)`
`static boolean` | `containsSameMethodSignature(Method method, Class c, boolean checkPackage)`
`static Field` | `findField(Class clazz, String targetName, Class targetType, boolean checkInheritance, boolean strictType)`
`protected static Field` | `findInheritedField(Package pack, Class clazz, String fieldName, Class fieldType, boolean strictType)`
`protected static Method` | `findInheritedMethod(Package pack, Class clazz, String methodName, Class[] args, boolean strictArgs)`
`static Method` | `findMethod(Class clazz, String methodName, Class[] args, boolean checkInheritance, boolean strictArgs)`
`static boolean` | `isInheritable(Package pack, Member member)`
`static boolean` | `isJavaBeanCompliantSetter(Method method)`
`static boolean` | `isSameSignature(Method methodA, Method methodB)`
`static boolean` | `isTypeCompatible(Class formalType, Class actualType, boolean strict)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### IntrospectionUtil

    public IntrospectionUtil()

Method Detail

### isJavaBeanCompliantSetter

    public static boolean isJavaBeanCompliantSetter(Method method)

### findMethod

    public static Method findMethod(Class clazz,
                                    String methodName,
                                    Class[] args,
                                    boolean checkInheritance,
                                    boolean strictArgs)
                             throws NoSuchMethodException

  Throws:
    `NoSuchMethodException`

### findField

    public static Field findField(Class clazz,
                                  String targetName,
                                  Class targetType,
                                  boolean checkInheritance,
                                  boolean strictType)
                           throws NoSuchFieldException

  Throws:
    `NoSuchFieldException`

### isInheritable

    public static boolean isInheritable(Package pack,
                                        Member member)

### checkParams

    public static boolean checkParams(Class[] formalParams,
                                      Class[] actualParams,
                                      boolean strict)

### isSameSignature

    public static boolean isSameSignature(Method methodA,
                                          Method methodB)

### isTypeCompatible

    public static boolean isTypeCompatible(Class formalType,
                                           Class actualType,
                                           boolean strict)

### containsSameMethodSignature

    public static boolean containsSameMethodSignature(Method method,
                                                      Class c,
                                                      boolean checkPackage)

### containsSameFieldName

    public static boolean containsSameFieldName(Field field,
                                                Class c,
                                                boolean checkPackage)

### findInheritedMethod

    protected static Method findInheritedMethod(Package pack,
                                                Class clazz,
                                                String methodName,
                                                Class[] args,
                                                boolean strictArgs)
                                         throws NoSuchMethodException

  Throws:
    `NoSuchMethodException`

### findInheritedField

    protected static Field findInheritedField(Package pack,
                                              Class clazz,
                                              String fieldName,
                                              Class fieldType,
                                              boolean strictType)
                                       throws NoSuchFieldException

  Throws:
    `NoSuchFieldException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2007 Mort Bay Consulting. All Rights Reserved.